SF.net SVN: morphix: [2397] trunk/morph-scripts/mmorphix

[email protected] Thu, 24 Aug 2006 15:30:34 -0700
Newsgroups gmane.linux.morphix.cvs
Message-ID <[email protected]>
Revision: 2397
Author:   bmsleight
Date:     2006-08-24 15:30:29 -0700 (Thu, 24 Aug 2006)
ViewCVS:  http://svn.sourceforge.net/morphix/?rev=2397&view=rev

Log Message:
-----------
moving along

Modified Paths:
--------------
    trunk/morph-scripts/mmorphix/MorphixMini-MMG_Templates.xml
    trunk/morph-scripts/mmorphix/morphing-morphix-gui.sh
Modified: trunk/morph-scripts/mmorphix/MorphixMini-MMG_Templates.xml
===================================================================
--- trunk/morph-scripts/mmorphix/MorphixMini-MMG_Templates.xml	2006-08-22 22:19:06 UTC (rev 2396)
+++ trunk/morph-scripts/mmorphix/MorphixMini-MMG_Templates.xml	2006-08-24 22:30:29 UTC (rev 2397)
@@ -8,18 +8,44 @@
    <bootoption>ALL</bootoption> <!-- Only run the minimodule when this bootoption is used. Special case run ALL the time-->
    <root> <!-- Files or Packages to be overlaid on the rootfile system - good for saving ramspace -->
     <files>
-     <remote>
-      <from>http://svn.sourceforge.net/viewcvs.cgi/*checkout*/morphix/trunk/morph-scripts/mmorphix/MorphixMini-MMG_Templates.xml</from>
+    <!-- Remote svn access not working at the moment> -->
+     <local> 
+      <from>/home/morph/morphix/trunk/morph-scripts/mmorphix/MorphixMini-MMG_Templates.xml</from>
       <to>/usr/share/morphing-morphix/</to>
-     </remote>
-     <remote>
-      <from>http://svn.sourceforge.net/viewcvs.cgi/*checkout*/morphix/trunk/morph-scripts/mmorphix/MorphixMini-Launch-MM-GUI.xml</from>
+     </local>
+     <local>
+      <from>/home/morph/morphix/trunk/morph-scripts/mmorphix/MorphixMini-Launch-MM-GUI.xml</from>
       <to>/usr/share/morphing-morphix/</to>
-     </remote>
-     <remote>
-      <from>http://svn.sourceforge.net/viewcvs.cgi/*checkout*/morphix/trunk/mmaker/templates/morphing-morphix.xml</from>
+     </local>
+     <local>
+      <from>/home/morph/morphix/trunk/mmaker/templates/morphing-morphix.xml</from>
       <to>/usr/share/morphing-morphix/</to>
-     </remote>
+     </local>
+     <!-- Templates for building MorphixLiveKiosk -->
+     <local>
+      <from>/home/morph/morphix/trunk/mmaker/templates/basemod-2.6.9.xml</from>
+      <to>/usr/share/morphing-morphix/</to>
+     </local>
+     <local>
+      <from>/home/morph/morphix/trunk/mmaker/templates/morphix-livekiosk.xml</from>
+      <to>/usr/share/morphing-morphix/</to>
+     </local>
+     <local>
+      <from>/home/morph/morphix/trunk/scripts-mini/MorphixMini-KioskSetting.xml</from>
+      <to>/usr/share/morphing-morphix/</to>
+     </local>
+     <local>
+      <from>/home/morph/morphix/trunk/scripts-mini/MorphixMini-KioskAddins.xml</from>
+      <to>/usr/share/morphing-morphix/</to>
+     </local>
+     <local>
+      <from>/home/morph/morphix/trunk/morph-scripts/mmorphix/MorphixMini-MMG_Templates.xml</from>
+      <to>/usr/share/morphing-morphix/</to>
+     </local>        
+     <local>
+      <from>/home/morph/morphix/trunk/how_tos/images/MorphixLiveKiosk.png</from>
+      <to>/usr/share/morphing-morphix/</to>
+     </local>
     </files>
    </root>
   </minimod>

Modified: trunk/morph-scripts/mmorphix/morphing-morphix-gui.sh
===================================================================
--- trunk/morph-scripts/mmorphix/morphing-morphix-gui.sh	2006-08-22 22:19:06 UTC (rev 2396)
+++ trunk/morph-scripts/mmorphix/morphing-morphix-gui.sh	2006-08-24 22:30:29 UTC (rev 2397)
@@ -143,11 +143,20 @@
 edit_xml_template ()
 {
  TMP_DO=""
- for TMP_TEMPLATES in $*
- do
- 	TMP_DO="$TMP_DO $TMP_TEMPLATES"
- done
-scite $TMP_DO
+   	xdialog_yes_no "$MESSAGE_EDTI_XML"
+	case $? in
+	  0)
+	    for TMP_TEMPLATES in $*
+	    do
+		TMP_DO="$TMP_DO $TMP_TEMPLATES"
+	    done
+	    log_and_do_command "scite $TMP_DO"
+	    log_file "Edit xml.";;
+ 	  1)
+	    log_file "Not edit xml.";;
+	  255)
+	     closing_mmorphix "set_up_mmorphix";;
+	esac
 }
 
 ###########################################################
@@ -157,8 +166,8 @@
 ###########################################################
 get_messages ()
 {
-MESSAGE_TITLE="Morphing Morphix"
-MESSAGE_EXIT="Are you sure you wish to exit Morphing Morphix now ?"
+MESSAGE_TITLE="MorphingMorphix"
+MESSAGE_EXIT="Are you sure you wish to exit MorphingMorphix now ?"
 MESSAGE_MAIN_MENU="Welcome to MorphingMorphix"
 MESSAGE_MAIN_MENU_1="Submenu [Configure MorphingMorphix]"
 MESSAGE_MAIN_MENU_2="Introduction to isomorph"
@@ -179,8 +188,9 @@
 MESSAGE_MAINMODS_MENU="$MESSAGE_MAIN_MENU_5"
 MESSAGE_MAINMODS_MENU_1="Using an XML template to build a mainmodule"
 MESSAGE_MAINMODS_MENU_2="Step inside the MainModule - changing by hand"
-
 ###########################################################
+MESSAGE_EDTI_XML="Would you like to edit the template(s)"
+###########################################################
 MESSAGE_SETTING_USE="Setting up Morphing Morphix
 
 Previous setting detected.
@@ -399,37 +409,11 @@
  * MiniModules xmls templates
  * Graphics file for branding
 "
-MESSAGE_WHOLEISO_1="Building a whole ISO from Scratch
-
-We will retrive the templates and graphic file from the 
-internet (Morphix SVN repository). 
-
-wget http://svn.sourceforge.net/viewvc/*checkout*/morphix/t
-  runk/mmaker/templates/basemod-2.6.9.xml -o /tmp/basemod-2
-  .6.9.xml
-wget http://svn.sourceforge.net/viewvc/*checkout*/morphix/t
-  runk/mmaker/templates/morphix-livekiosk.xml -o /tmp/morph
-  ix-livekiosk.xml
-wget http://svn.sourceforge.net/viewvc/*checkout*/morphix/t
-  runk/scripts-mini/MorphixMini-KioskSetting.xml -o /tmp/Mo
-  rphixMini-KioskSetting.xml
-wget http://svn.sourceforge.net/viewvc/*checkout*/morphix/t
-  runk/how_tos/images/MorphixLiveKiosk.png -o /tmp/MorphixL
-  iveKiosk.png
-"
 MESSAGE_WHOLEISO_2="Building a whole ISO from Scratch
 
 Do you want to build the MorphixMini-KioskAddins which 
-contains Non-GPL software, flash and java plugins ? 
+contains Non-GPL software; flash and java plugins ? 
 "
-MESSAGE_WHOLEISO_3="Building a whole ISO from Scratch
-
-Again retrive the template:-
-
-wget http://svn.sourceforge.net/viewvc/*checkout*/morphix/t
-  runk/scripts-mini/MorphixMini-KioskSetting.xml -o /tmp/Mo
-  rphixMini-KioskSetting.xml
-"
 MESSAGE_WHOLEISO_4="Building a whole ISO from Scratch
 
 Now we have all the ingredients. We will build the cd. This
@@ -982,6 +966,7 @@
 	log_file "build_mainmodule"
 	xdialog_message "$MESSAGE_MMAKER"
 	xdialog_tail_box "$MESSAGE_MMAKER_1" "/usr/share/morphing-morphix/morphing-morphix.xml"
+	edit_xml_template "/usr/share/morphing-morphix/morphing-morphix.xml"
 	xdialog_yes_no  "$MESSAGE_MMAKER_2"
 	case $? in
 		0)
@@ -1082,24 +1067,16 @@
 	log_file "autobuild_whole_iso"
 	#MESSAGE_WHOLEISO_1 2 4 y/n
 	xdialog_message "$MESSAGE_WHOLEISO"
-	xdialog_message "$MESSAGE_WHOLEISO_1"
-	log_and_do_command_progress_pause "wget http://svn.sourceforge.net/viewvc/*checkout*/morphix/trunk/mmaker/templates/basemod-2.6.9.xml 
-		-O /tmp/basemod-2.6.9.xml"
-	log_and_do_command_progress_pause "wget http://svn.sourceforge.net/viewvc/*checkout*/morphix/trunk/mmaker/templates/morphix-livekiosk.xml 
-		-O /tmp/morphix-livekiosk.xml"
-	log_and_do_command_progress_pause "wget http://svn.sourceforge.net/viewvc/*checkout*/morphix/trunk/scripts-mini/MorphixMini-KioskSetting.xml 
-		-O /tmp/MorphixMini-KioskSetting.xml"
-	log_and_do_command_progress_pause "wget http://svn.sourceforge.net/viewvc/*checkout*/morphix/trunk/how_tos/images/MorphixLiveKiosk.png 
-		-O /tmp/MorphixLiveKiosk.png"
+	edit_xml_template "/usr/share/morphing-morphix/basemod-2.6.9.xml 
+			   /usr/share/morphing-morphix/morphix-livekiosk.xml 
+			   /usr/share/morphing-morphix/MorphixMini-KioskSetting.xml" 
 	NON_GNU=""
 	xdialog_yes_no  "$MESSAGE_WHOLEISO_2"
 		case $? in
 		0)
 		log_file "Non GNU ok"
-		xdialog_message "$MESSAGE_WHOLEISO_3"
-		log_and_do_command_progress_pause "wget http://svn.sourceforge.net/viewvc/*checkout*/morphix/trunk/scripts-mini/MorphixMini-KioskSetting.xml 
-						-O /tmp/MorphixMini-KioskSetting.xml"
-		NON_GNU=" -n /tmp/MorphixMini-KioskAddins.xml ";;
+		edit_xml_template "/usr/share/morphing-morphix/MorphixMini-KioskAddins.xml"
+		NON_GNU=" -n /usr/share/morphing-morphix/MorphixMini-KioskAddins.xml ";;
 		1)
 		log_file "GNU Only";;
 		255)
@@ -1109,8 +1086,9 @@
 		case $? in
 		0)
 		log_file "Building whole ISO"
-		log_and_do_command_progress_pause "sudo isomaker -b /tmp/basemod-2.6.15.xml -m /tmp/morphix-livekiosk.xml
-						-n /tmp/MorphixMini-KioskSetting.xml 
+		log_and_do_command_progress_pause "sudo isomaker -b /usr/share/morphing-morphix/basemod-2.6.15.xml 
+						-m /usr/share/morphing-morphix/morphix-livekiosk.xml
+						-n /usr/share/morphing-morphix/MorphixMini-KioskSetting.xml 
 						$NON_GNU 
 						-r http://www.morphix.org/debian 
 						-p grub-gfxboot-iso-udeb 
@@ -1120,7 +1098,7 @@
 						/tmp/tmp.iso"
 		log_and_do_command_progress_pause "sudo morphix-rebrand /tmp/tmp.iso 
 						$MNT_POINT/mmorphix/iso/MorphixLiveKiosk.iso 
-						/tmp/MorphixLiveKiosk.png";;
+						/usr/share/morphing-morphix/MorphixLiveKiosk.png";;
 		1)
 		log_file "Skip building whole ISO";;
 		255)
@@ -1174,7 +1152,7 @@
  if [ "$?" = "1" ]
  then
 	log_file "terminal_morphing"
-	log_and_do_command_progress "cd $MNT_POINT/mmorphix; sudo sh"
+	log_and_do_command_progress_pause "cd $MNT_POINT/mmorphix; sudo sh"
  fi
  main_menu
 }


This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.


-------------------------------------------------------------------------
Using Tomcat but need to do more? Need to support web services, security?
Get stuff done quickly with pre-integrated technology to make your job easier
Download IBM WebSphere Application Server v.1.0.1 based on Apache Geronimo
http://sel.as-us.falkag.net/sel?cmd=lnk&kid=120709&bid=263057&dat=121642